Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceDetailHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceDetailHelper

public abstract class ServiceDetailHelper
extends Object

Constructor Summary
`ServiceDetailHelper()`

Method Summary
`static ServiceDetail` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ServiceDetail that)`
`static ServiceDetail` | `read(InputStream in)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream out, ServiceDetail that)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDetailHelper

    public ServiceDetailHelper()

Method Detail

### write

    public static void write(OutputStream out,
                             ServiceDetail that)

### read

    public static ServiceDetail read(InputStream in)

### extract

    public static ServiceDetail extract(Any a)

### insert

    public static void insert(Any a,
                              ServiceDetail that)

### type

    public static TypeCode type()

### id

    public static String id()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.